%global modname sparkline
%global distname pysparklines

Name:               python-sparklines
Version:            0.3
Release:            1%{?dist}
Summary:            python-sparklines is a unicode sparkline generation library

Group:              Development/Libraries
License:            BSD
URL:                http://pypi.python.org/pypi/pysparklines
Source0:            http://pypi.python.org/packages/source/p/%{distname}/%{distname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
Requires:           python-setuptools

%description
Takes series data via stdin, command line, or API and prints a sparkline
representation.

%prep
%setup -q -n %{distname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{distname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
# No LICENSE file - https://github.com/RedKrieg/pysparklines/issues/1
%doc README.rst
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{distname}-%{version}*
%{_bindir}/sparkline

%changelog
* Wed Aug 21 2013 Ralph Bean <rbean@redhat.com> - 0.3-1
- Initial package for Fedora
